<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_room_ctrl"
    app:startDestination="@id/roomCtrlFragment">

    <fragment
        android:id="@+id/roomCtrlFragment"
        android:name="com.rdiot.yx485.ui.ctrl.RoomCtrlFragment"
        android:label="RoomCtrlFragment"
        tools:layout="@layout/fra_room_ctrl">
        <action
            android:id="@+id/action_roomCtrlFragment_to_roomSettingFragment"
            app:destination="@id/roomSettingFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>
    <fragment
        android:id="@+id/roomSettingFragment"
        android:name="com.rdiot.yx485.ui.ctrl.RoomSettingFragment"
        android:label="RoomSettingFragment"
        tools:layout="@layout/fra_room_setting" />
    <fragment
        android:id="@+id/subRoomCtrlFragment"
        android:name="com.rdiot.yx485.ui.ctrl.SubRoomCtrlFragment"
        android:label="SubRoomCtrlFragment"
        tools:layout="@layout/fra_sub_room_ctrl">
        <action
            android:id="@+id/action_subRoomCtrlFragment_to_roomSettingFragment"
            app:destination="@id/roomSettingFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>
</navigation>